/*
 *   ScenarLang a domain specific language that attempts to make it even easier
 *   to write unit tests with mockito
 *    
 *   Copyright (C) 2012  X. Gillard 
 *   
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *   
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *   
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
package xgi.ut.dsl.dummy;

import java.text.ParseException;
import java.text.SimpleDateFormat;

import xgi.ut.dsl.annot.ConversionMethod;

/**
 * A date parser
 */
public class DateParser {
  public static final SimpleDateFormat SDF = new SimpleDateFormat("yyyy-MM-dd");
	
  @ConversionMethod
  public static Object parse(String text){
	try {
		return SDF.parse(text);
	} catch (ParseException e) {
		throw new RuntimeException(e);
	}  
  }
}
